#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n],b[n];
    for(int i=0; i<n; i++)
        cin>>a[i]>>b[i];
        if(n<=2)
        {
            if((a[0]==b[0]&&a[1]==b[1])||(a[0]==b[1]&&a[1]==b[0]))
                cout<<0;
            else
                cout<<1;
        }
    
}